Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet
Class DependencyEntry

    java.lang.Object
      org.mindswap.pellet.DependencyEntry

    public class DependencyEntry

extends java.lang.Object

Structure for containing all dependencies for a given assertion. This is the object stored in the dependency index

Author:
  Christian Halaschek-Wiener

Constructor Summary
`DependencyEntry()` Default constructor

Method Summary
`DependencyEntry` | `copy()`
`java.util.Set<Dependency>` | `getBranchAdds()` Get branches
`java.util.Set<Dependency>` | `getCloseBranches()` Get the close branches for this entry
`java.util.Set<Edge>` | `getEdges()` Get edges
`java.util.Set<Dependency>` | `getMerges()` Get merges
`java.util.Set<Dependency>` | `getTypes()` Get types
`void` | `print()` Helper method to print all dependencies TODO: this print is not complete

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DependencyEntry

    public DependencyEntry()

  Default constructor

Method Detail

### copy

    public DependencyEntry copy()

  Returns:

### print

    public void print()

  Helper method to print all dependencies TODO: this print is not complete

### getEdges

    public java.util.Set<Edge> getEdges()

  Get edges

  Returns:

### getMerges

    public java.util.Set<Dependency> getMerges()

  Get merges

  Returns:

### getTypes

    public java.util.Set<Dependency> getTypes()

  Get types

  Returns:

### getBranchAdds

    public java.util.Set<Dependency> getBranchAdds()

  Get branches

  Returns:

### getCloseBranches

    public java.util.Set<Dependency> getCloseBranches()

  Get the close branches for this entry

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.